import { ElementRef } from '@angular/core';
import { Observable } from 'rxjs';
export declare class TooltipBaseService {
    onPush: Observable<ElementRef>;
    private pushEvent;
    constructor();
    push(element: ElementRef): void;
}
